<h1>Les Personnages de films</h1>

<h2>Recherche</h2>

<div class="form-row">
  <div class="form-group col">
    <label for="titreInput">Nom du personnage</label>
    <input type="text" class="form-control" id="titreInput" [(ngModel)]="rechercherNomPersonnage" (ngModelChange)="cherchePersonnage()">
  </div>
</div>

<div class="form-row">
  <div class="form-group col">
    <label for="realisateurSelect">Acteur</label>
    <select id="realisateurSelect" class="form-control" [(ngModel)]="rechercherActeur" (ngModelChange)="cherchePersonnage()">
      <option [ngValue]="null" selected>Tous les acteurs</option>
      <option *ngFor="let acteur of acteurList" [ngValue]="acteur.noAct">
        {{acteur.prenAct}} {{acteur.nomAct}}
      </option>
    </select>
  </div>

  <div class="form-group col">
    <label for="catSelect">Film</label>
    <select id="catSelect" class="form-control" [(ngModel)]="rechercherFilm" (ngModelChange)="cherchePersonnage()">
      <option [ngValue]="null" selected>Tous les films</option>
      <option *ngFor="let film of filmList" [ngValue]="film.noFilm">
        {{film.titre}}
      </option>
    </select>
  </div>
</div>

<h2>
  Liste

  <button class="btn btn-success" (click)="newPersonnage()">
    Nouveau Personnage
  </button>
</h2>

<table class="table">
  <thead>
  <tr>
    <th scope="col">Acteur</th>
    <th scope="col">Film</th>
    <th scope="col">Nom du personnage</th>
    <th scope="col">Actions</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let personnage of selectedPersonnageList"
      app-personnage-detail
      [personnage]="personnage"
      [acteurList]="acteurList"
      [filmList]="filmList"
      (eventPersonnage)="updateListPersonnage()">
  </tr>
  </tbody>
</table>
